Subject: Re: [jose] [OAUTH-WG] JWS encoding Appendix A

From: Justin Richer <[email-masked]>
Date: Wed, 5 Jun 2013 09:40:22 -0400

Also, it's the JOSE working group, not OAuth, that's working on JWS. 
I've CC'd that group on this reply, further discussion (if needed) 
should probably take place there.

  -- Justin

On 06/05/2013 09:37 AM, [email-masked] wrote:
>
> Antonio,
>
> Please have a look at this
>
> https://code.google.com/p/jsoncrypto/source/browse/trunk/testsrc/org/jsoncrypto/JcBaseTest.java#104
>
> The \r\n is the important.
>
> Please make sure you have this byte representation of the payload.
>
> The following octet sequence contains the UTF-8 representation of the
>
> JWS Header:
>
> [123, 34, 116, 121, 112, 34, 58, 34, 74, 87, 84, 34, 44, 13, 10, 32,
>
> 34, 97, 108, 103, 34, 58, 34, 72, 83, 50, 53, 54, 34, 125]
>
> Best regards
>
> Axel
>
> *From:[email-masked] [mailto:[email-masked]] *On 
> Behalf Of *Antonio Sanso
> *Sent:* Wednesday, June 05, 2013 3:27 PM
> *To:* [email-masked] WG
> *Subject:* [OAUTH-WG] JWS encoding Appendix A
>
> Hi *,
>
> while testing my encoding routine against JWS I spot a difference 
> between my encoding and the one in the spec.
>
> More specifically I am referring to Appendix A.1.1 [0] of the JWS spec.
>
> Now it could easily be that the library I wrote is wrong but it works 
> fine with the encoding in the JWT spec for example.
>
> If somebody would like to give a look just for the record the encoding 
> for the header in the spec looks like \
>
> eyJ0eXAiOiJKV1QiLA0KICJhbGciOiJIUzI1NiJ9
>
> while for me would look like
>
> eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9
>
> Same for the payload, spec
>
> eyJpc3MiOiJqb2UiLA0KICJleHAiOjEzMDA4MTkzODAsDQogImh0dHA6Ly9leGFtcGxlLmNvbS9pc19yb290Ijp0cnVlfQ
>
> my library
>
> eyJpc3MiOiJqb2UiLCJleHAiOjEzMDA4MTkzODAsImh0dHA6Ly9leGFtcGxlLmNvbS9pc19yb290Ijp0cnVlfQ
>
> Now the difference is probably given from the fact I did not take care 
> in consideration carriage return in my input.
>
> I am on a huge JSON expert but what is the correct way to handle it?
>
> Regards
>
> Antonio
>
> [0] 
> http://tools.ietf.org/html/draft-ietf-jose-json-web-signature-11#appendix-A.1
>
>
>
> _______________________________________________
> OAuth mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/oauth